/*
 * DV Player plugin for VDR
 *
 * Copyright (C) 2003, 2004 Erich Bachl <erich.bachl@vr-web.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 */

#ifndef _DV_H_
#define _DV_H_

class cDVDevice;

class cPluginDV : public cPlugin
{
public:
  cPluginDV(void);
  virtual ~cPluginDV();
  virtual const char *Version(void);
  virtual const char *Description(void);
  virtual const char *MainMenuEntry(void);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual cOsdMenu *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
private:
  cDVDevice *DVDevice;
  cDVStatus *DVStatus;
};

#endif // _DV_H_
